Get deposit account by ID
curl --request GET \
--url https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "67063f653b4a1f6c7a60ec57",
"business_id": "8e2f6b2a-df9c-4c2a-9a0a-9e6a2a2b6a11",
"mode": "test",
"customer_id": "3c1e6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e6f",
"status": "active",
"deposit_addresses": [
{
"chain": "tron",
"address": "TXkPqR7YbAaHqZ5t5fRZ9Zk3f2NcQvJ9f2A",
"createdAt": "2026-09-01T10:15:00.000Z"
}
],
"ngn_virtual_accounts": [],
"created_at": "2026-09-01T10:15:00.000Z",
"updated_at": "2026-09-01T10:15:00.000Z"
}{
"success": false,
"status": 401,
"message": "Invalid or inactive API key.",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 404,
"message": "Deposit account not found.",
"timestamp": "2026-09-17T12:00:00.000Z"
}Deposit Account
Get deposit account by ID
Retrieve a specific deposit account by its ID
GET
/
api
/
v1
/
deposit-accounts
/
{deposit_account_id}
Get deposit account by ID
curl --request GET \
--url https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dexxify.com/api/v1/api/v1/deposit-accounts/{deposit_account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "67063f653b4a1f6c7a60ec57",
"business_id": "8e2f6b2a-df9c-4c2a-9a0a-9e6a2a2b6a11",
"mode": "test",
"customer_id": "3c1e6a2a-2b3c-4d5e-8f9a-1a2b3c4d5e6f",
"status": "active",
"deposit_addresses": [
{
"chain": "tron",
"address": "TXkPqR7YbAaHqZ5t5fRZ9Zk3f2NcQvJ9f2A",
"createdAt": "2026-09-01T10:15:00.000Z"
}
],
"ngn_virtual_accounts": [],
"created_at": "2026-09-01T10:15:00.000Z",
"updated_at": "2026-09-01T10:15:00.000Z"
}{
"success": false,
"status": 401,
"message": "Invalid or inactive API key.",
"timestamp": "2026-09-17T12:00:00.000Z"
}{
"success": false,
"status": 404,
"message": "Deposit account not found.",
"timestamp": "2026-09-17T12:00:00.000Z"
}Path Parameters
Response
Deposit account retrieved successfully.

